#include <ios>
#include <iostream>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    int n;
    long long l;
    cin >> n >> l;
    long long a[n];
    for (int i = 0; i < n; i++) cin >> a[i];
    
    int ix = 0;
    while (a[ix] > l && ix < n) {
        ix++;
    }

    if (a[ix] > l) cout << -1 << '\n';
    else cout << ix+1 << '\n';
}